Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class SchemaFactoryImpl

    java.lang.Object
      javax.xml.validation.SchemaFactory
          com.saxonica.schema.SchemaFactoryImpl

public class SchemaFactoryImpl
extends javax.xml.validation.SchemaFactory

This is the Saxon implementation of the JAXP 1.3 SchemaFactory interface.

Constructor Summary
`SchemaFactoryImpl()`

Method Summary
`Configuration` | `getConfiguration()` Get the Configuration object
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`java.lang.Object` | `getProperty(java.lang.String name)` Look up the value of a property.
`org.w3c.dom.ls.LSResourceResolver` | `getResourceResolver()`
`boolean` | `isSchemaLanguageSupported(java.lang.String language)`
`javax.xml.validation.Schema` | `newSchema()`
`javax.xml.validation.Schema` | `newSchema(javax.xml.transform.Source[] sources)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)`
`void` | `setProperty(java.lang.String name, java.lang.Object object)` Set the value of a property.
`void` | `setResourceResolver(org.w3c.dom.ls.LSResourceResolver lsResourceResolver)`

Methods inherited from class javax.xml.validation.SchemaFactory
`getFeature, newInstance, newSchema, newSchema, newSchema, setFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaFactoryImpl

    public SchemaFactoryImpl()

Method Detail

### isSchemaLanguageSupported

    public boolean isSchemaLanguageSupported(java.lang.String language)

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### setResourceResolver

    public void setResourceResolver(org.w3c.dom.ls.LSResourceResolver lsResourceResolver)

### getResourceResolver

    public org.w3c.dom.ls.LSResourceResolver getResourceResolver()

### newSchema

    public javax.xml.validation.Schema newSchema(javax.xml.transform.Source[] sources)
                                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### newSchema

    public javax.xml.validation.Schema newSchema()
                                          throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Look up the value of a property.

  The property name is any fully-qualified URI. It is possible for a `SchemaFactory` to recognize a property name but temporarily be unable to return its value.

  `SchemaFactory`s are not required to recognize any specific property names.

  In the Saxon implementation, the property names that are recognized are the same as the attribute names recognised by a `TransformerFactory`. These are listed as constant fields in the class `FeatureKeys`

  Parameters:
    `name` - The property name, which is a non-null fully-qualified URI.
  Returns:
    The current value of the property.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - If the property value can't be assigned or retrieved.
    `org.xml.sax.SAXNotSupportedException` - When the XMLReader recognizes the property name but cannot determine its value at this time.
    `java.lang.NullPointerException` - if the name parameter is null.
  See Also:
    `setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object object)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Set the value of a property.

  The property name is any fully-qualified URI. It is possible for a `SchemaFactory` to recognize a property name but to be unable to change the current value.

  In the Saxon implementation, the property names that are recognized are the same as the attribute names recognised by a `TransformerFactory`. These are listed as constant fields in the class `FeatureKeys`

  Parameters:
    `name` - The property name, which is a non-null fully-qualified URI.
    `object` - The requested value for the property.
  Throws:
    `org.xml.sax.SAXNotRecognizedException` - If the property value can't be assigned or retrieved.
    `org.xml.sax.SAXNotSupportedException` - When the `SchemaFactory` recognizes the property name but cannot set the requested value.
    `java.lang.NullPointerException` - if the name parameter is null.

### getConfiguration

    public Configuration getConfiguration()

  Get the Configuration object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD